org.eclipse.emf.cdo.common

## Enum CDOCommonSession.Options.LockNotificationMode

- java.lang.Object
- - java.lang.Enum<CDOCommonSession.Options.LockNotificationMode>
  - - org.eclipse.emf.cdo.common.CDOCommonSession.Options.LockNotificationMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CDOCommonSession.Options.LockNotificationMode>
  Enclosing interface:
    CDOCommonSession.Options

      public static enum CDOCommonSession.Options.LockNotificationMode
      extends java.lang.Enum<CDOCommonSession.Options.LockNotificationMode>

  Enumerates the possible `lock notification modes` of a CDO session.
  Since:
    4.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` This mode always delivers lock notifications, even if no views have them enabled, and even if no views are open.
    `IF_REQUIRED_BY_VIEWS` This mode delivers lock notifications if one or more views have enabled them.
    `OFF` This mode delivers no lock notifications

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOCommonSession.Options.LockNotificationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CDOCommonSession.Options.LockNotificationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final CDOCommonSession.Options.LockNotificationMode OFF

      This mode delivers no lock notifications

    - #### IF_REQUIRED_BY_VIEWS

          public static final CDOCommonSession.Options.LockNotificationMode IF_REQUIRED_BY_VIEWS

      This mode delivers lock notifications if one or more views have enabled them.

    - #### ALWAYS

          public static final CDOCommonSession.Options.LockNotificationMode ALWAYS

      This mode always delivers lock notifications, even if no views have them enabled, and even if no views are open.

  - ### Method Detail

    - #### values

          public static CDOCommonSession.Options.LockNotificationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOCommonSession.Options.LockNotificationMode c : CDOCommonSession.Options.LockNotificationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOCommonSession.Options.LockNotificationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html